Bug 1707795 - Review Request: nutty - Simple utility for network information
Summary: Review Request: nutty - Simple utility for network information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-08 11:42 UTC by Artem
Modified: 2019-05-20 01:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-20 01:03:31 UTC
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-05-08 11:42:55 UTC
Spec URL: https://atim.fedorapeople.org/for-review/nutty.spec
SRPM URL: https://atim.fedorapeople.org/for-review/nutty-1.1.1-1.fc30.src.rpm

Description:
A simple application made for elementary OS to provide essential information on
network related aspects. The information presented in as the following tabs.

• My Info: Provides basic and detailed information for the device network card
• Usage: Provides network data usage in two views - historical usage and
  current usage
• Speed: Check Upload and Download speeds and get route times to a host
• Ports: Provides information on active ports and application using them on the
  local device
• Devices: Monitors, alerts and provides information on the other devices
  connected on the network

Fedora Account System Username: atim

Comment 1 Elliott Sales de Andrade 2019-05-09 06:30:26 UTC
- Note: explicit /usr/bin/python3 is specific to Fedora-packaged software;
  upstream may not want to do that.
- License should be "GPLv3+ and ASL 2.0" (also comment that speedtest-cli is
  ASL2.0)
- The size@2 directories are not part of the hicolor-icon-theme, so this
  package needs to own those directories. Or perhaps a bug needs to reported to
  hicolor-icon-theme to add them.
- "mo" does not appear to be a valid language code (at least according to the
  Wikipedia list of ISO-639-1 codes). The file doesn't appear to contain any
  translations or any metadata for what language it's supposed to be, so I
  think it's an error on upstream's part.
- It appears you need to Requires:polkit for the /usr/share/polkit-1{,/actions}
  directories.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)", "Apache License
     (v2.0)". 246 files have unknown license. Detailed output of
     licensecheck in 1707795-nutty/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/icons/hicolor/32x32@2/apps,
     /usr/share/icons/hicolor/24x24@2/apps,
     /usr/share/icons/hicolor/64x64@2,
     /usr/share/icons/hicolor/16x16@2/apps,
     /usr/share/icons/hicolor/128x128@2/apps,
     /usr/share/icons/hicolor/32x32@2, /usr/share/icons/hicolor/24x24@2,
     /usr/share/icons/hicolor/64x64@2/apps,
     /usr/share/locale/mo/LC_MESSAGES, /usr/share/icons/hicolor/48x48@2,
     /usr/share/locale/mo, /usr/share/icons/hicolor/16x16@2,
     /usr/share/icons/hicolor/128x128@2,
     /usr/share/icons/hicolor/48x48@2/apps
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/locale/mo/LC_MESSAGES,
     /usr/share/icons/hicolor/16x16@2/apps,
     /usr/share/icons/hicolor/128x128@2/apps,
     /usr/share/icons/hicolor/128x128@2, /usr/share/icons/hicolor/48x48@2,
     /usr/share/icons/hicolor/64x64@2, /usr/share/polkit-1,
     /usr/share/icons/hicolor/48x48@2/apps, /usr/share/polkit-1/actions,
     /usr/share/locale/mo, /usr/share/icons/hicolor/32x32@2,
     /usr/share/icons/hicolor/24x24@2/apps,
     /usr/share/icons/hicolor/32x32@2/apps,
     /usr/share/icons/hicolor/24x24@2, /usr/share/icons/hicolor/16x16@2,
     /usr/share/icons/hicolor/64x64@2/apps
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nutty
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nutty-1.1.1-1.fc31.x86_64.rpm
          nutty-debuginfo-1.1.1-1.fc31.x86_64.rpm
          nutty-debugsource-1.1.1-1.fc31.x86_64.rpm
          nutty-1.1.1-1.fc31.src.rpm
nutty.x86_64: W: no-manual-page-for-binary com.github.babluboy.nutty
nutty.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/com.github.babluboy.nutty.mo
nutty.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/com.github.babluboy.nutty.mo
4 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: nutty-debuginfo-1.1.1-1.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
nutty-debugsource.x86_64: W: invalid-url URL: https://github.com/babluboy/nutty <urlopen error [Errno -2] Name or service not known>
nutty-debuginfo.x86_64: W: invalid-url URL: https://github.com/babluboy/nutty <urlopen error [Errno -2] Name or service not known>
nutty.x86_64: W: invalid-url URL: https://github.com/babluboy/nutty <urlopen error [Errno -2] Name or service not known>
nutty.x86_64: W: no-manual-page-for-binary com.github.babluboy.nutty
nutty.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/com.github.babluboy.nutty.mo
nutty.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/com.github.babluboy.nutty.mo
3 packages and 0 specfiles checked; 2 errors, 4 warnings.



Source checksums
----------------
https://github.com/babluboy/nutty/archive/1.1.1/nutty-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : b6c9ef1966d1c60480943313f20cd66ee1b5d23ac8d6578f457fb99f0898d9ba
  CHECKSUM(SHA256) upstream package : b6c9ef1966d1c60480943313f20cd66ee1b5d23ac8d6578f457fb99f0898d9ba


Requires
--------
nutty (rpmlib, GLIBC filtered):
    /usr/bin/bash
    /usr/bin/python3
    hicolor-icon-theme
    libc.so.6()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgranite.so.5()(64bit)
    libgtk-3.so.0()(64bit)
    libnotify.so.4()(64bit)
    libsqlite3.so.0()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    rtld(GNU_HASH)

nutty-debuginfo (rpmlib, GLIBC filtered):

nutty-debugsource (rpmlib, GLIBC filtered):



Provides
--------
nutty:
    application()
    application(com.github.babluboy.nutty.desktop)
    metainfo()
    metainfo(com.github.babluboy.nutty.appdata.xml)
    nutty
    nutty(x86-64)

nutty-debuginfo:
    debuginfo(build-id)
    nutty-debuginfo
    nutty-debuginfo(x86-64)

nutty-debugsource:
    nutty-debugsource
    nutty-debugsource(x86-64)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1707795
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: PHP, SugarActivity, R, Perl, Python, C/C++, Haskell, fonts, Java, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Artem 2019-05-09 12:35:53 UTC
Thank you for review. Fixed:

Spec URL: https://atim.fedorapeople.org/for-review/nutty.spec
SRPM URL: https://atim.fedorapeople.org/for-review/nutty-1.1.1-2.fc30.src.rpm

> - Note: explicit /usr/bin/python3 is specific to Fedora-packaged software;
>   upstream may not want to do that.

OK, now i finally understand because i asked many times about that should i send PR in such cases or not.

> - License should be "GPLv3+ and ASL 2.0" (also comment that speedtest-cli is
>   ASL2.0)

Fixed.

> - The size@2 directories are not part of the hicolor-icon-theme, so this
>   package needs to own those directories. Or perhaps a bug needs to reported to
>   hicolor-icon-theme to add them.

Fixed. Just removed them since they equal not regular and doesnt have HiDPI version for now.

> - "mo" does not appear to be a valid language code (at least according to the
>   Wikipedia list of ISO-639-1 codes). The file doesn't appear to contain any
>   translations or any metadata for what language it's supposed to be, so I
>   think it's an error on upstream's part.

This is most annoying part and often happens for me. But according this list
https://en.wikipedia.org/wiki/ISO_3166-1
BH and MO files are there. So, maybe we should report about his in rpmlint checker tool?

> - It appears you need to Requires:polkit for the /usr/share/polkit-1{,/actions}
>   directories.

Fixed.

Comment 3 Elliott Sales de Andrade 2019-05-10 10:05:53 UTC
(In reply to Artem from comment #2)
> > - "mo" does not appear to be a valid language code (at least according to the
> >   Wikipedia list of ISO-639-1 codes). The file doesn't appear to contain any
> >   translations or any metadata for what language it's supposed to be, so I
> >   think it's an error on upstream's part.
> 
> This is most annoying part and often happens for me. But according this list
> https://en.wikipedia.org/wiki/ISO_3166-1
> BH and MO files are there. So, maybe we should report about his in rpmlint
> checker tool?
> 

The bh directory is fine, and contrary to rpmlint warnings, is already part of filesystem. mo is not though, so you will have to delete it or own all the directories. The link you gave is for country codes though, not language codes. The list of language codes is here https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes and it states that mo was replaced by ro.

But again, it's an empty file, so maybe upstream doesn't even need to ship it.

Comment 4 Artem 2019-05-10 10:58:31 UTC
Understood. Removed this "mo file for now and will try notify upstream about this. But i often seem upstream doing when they using Weblate for translation. They put all translations files even if they are now translated and empty. Not sure is it right or not...

Spec URL: https://atim.fedorapeople.org/for-review/nutty.spec
SRPM URL: https://atim.fedorapeople.org/for-review/nutty-1.1.1-3.fc30.src.rpm

Comment 5 Artem 2019-05-10 11:02:24 UTC
Typos:

1. seem → seen
2. they are now translated → they are not translated

Comment 6 Elliott Sales de Andrade 2019-05-11 08:37:21 UTC
LGTM.

Comment 7 Igor Raits 2019-05-11 15:46:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nutty

Comment 8 Fedora Update System 2019-05-11 17:07:47 UTC
nutty-1.1.1-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8c96ec9afc

Comment 9 Fedora Update System 2019-05-12 00:45:19 UTC
nutty-1.1.1-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8c96ec9afc

Comment 10 Fedora Update System 2019-05-20 01:03:31 UTC
nutty-1.1.1-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.